load('WorkSpace_Parameter.mat')
load('gamma2d5g16160sigma9_2c1_1_160000.mat')
x = dr*(-127:128);
y = dr*(-127:128);
z = dr*(-63:64);
figure;colormap(jet);hold on
imagesc(x,y,phi_save{1}(:,:,64))
for n = 2:4
  contour(x,y,phi_save{n}(:,:,64),[0.35,0.35],'--w','linewidth',2)
end
contour(x,y,phi_shell(:,:,64),[0.35,0.35],'w','linewidth',2)
colorbar
axis('equal',[-30,30,-20,20])
xlabel('\itx\rm / A-P Axis (\mum)');
ylabel('\itz\rm / D-V Axis (\mum)');
set(gca,'FontSize',17.5,'Fontname','arial','xtick',-30:10:30)