  % Mission 2 : Fitting of Sigma2

    Data=table2cell(readtable('DataS.xlsx')) ; CELL={}        ; Pair={}             ;
    CELL{1,1}='ABa' ; CELL{2,1}='ABp' ; CELL{3,1}='EMS'       ; CELL{4,1}='P2'      ;
for I=1:4
    CELL{I,2}=str2num(Data{I+185,8})         ;
for k1=1:6
for k2=1:5
    CELL{I,5*(k1-1)+k2+2}=str2num(Data{I+(k1-1)*30+(k2-1)*6+3,8})                   ;
end
end
for J=I:4
if  strcmp(Data{I+185,J+3},'0')==0
    CELL{end+1,1}=[CELL{I,1},'-',CELL{J,1}]  ; CELL{end,2}=str2num(Data{I+185,J+3}) ;
    for k1=1:6
    for k2=1:5
        CELL{end,5*(k1-1)+k2+2}=str2num(Data{I+(k1-1)*30+(k2-1)*6+3,J+3})           ;
    end
end
end
end
end
    c=hsv(5)           ;    
for I=1:size(CELL,2)-2
    dataE1=cell2mat(CELL(1:4,2  ))' ; dataE2=cell2mat(CELL(5:9,2  ))'        ;
    dataS1=cell2mat(CELL(1:4,2+I))' ; dataS2=cell2mat(CELL(5:9,2+I))'        ;
    yy=[dataE1,dataE2] ; y=[dataS1,dataS2] ;
    SSE=sum((yy-y).^2) ; SST=sum((y-mean(y)).^2) ; CELL{10,2+I}=1-SSE/SST    ; CELL{11,2+I}=SSE ;
    CELL{12,2+I}=mean(abs((y-yy)./yy))     ; CELL{13,2+I}=abs((y-yy)./yy)    ;
end

    figure     ; set(gcf,'position',[200,200,500,500]) ;
    plot([0:1:1800],[0:1:1800],'k--','linewidth',1.5)  ; hold on             ;  
for I=16:20
    axis equal ; plot([0:1:1800]/5000,[0:1:1800]/5000,'k--','linewidth',1.5) ; hold on  ;  
    dataE1=cell2mat(CELL(1:4,2  ))' ; dataE2=cell2mat(CELL(5:9,2  ))'        ;
    dataS1=cell2mat(CELL(1:4,2+I))' ; dataS2=cell2mat(CELL(5:9,2+I))'        ;
    plot(dataE1,dataS1,'^','linewidth',2,'markersize',7.5,'color',c(I-15,:)) ; hold on  ;
    plot(dataE2,dataS2,'.','markersize',30 ,'color',c(I-15,:))               ; hold on  ;
end
    x=xlabel('Experiment Value (\mum^{2})') ; set(x,'Fontname','Arial','Fontsize',22.5) ; axis square ;
    y=ylabel('Simulation Value (\mum^{2})') ; set(y,'Fontname','Arial','Fontsize',22.5) ; clear i     ; clear Ratio ;
    set(gca,'xtick',[0,500,1000,1500,2000],'FontSize',22.5,'Fontname','Arial')          ; clear x     ; clear y     ;
    set(gca,'ytick',[0,500,1000,1500,2000],'FontSize',22.5,'Fontname','Arial')          ; axis([0,1800,0,1800])     ;
    
    figure     ; set(gcf,'position',[200,200,500,500]) ;
    plot([0:1:1800],[0:1:1800],'k--','linewidth',2.5)  ; hold on             ;  
for I=16:20
    axis equal ; plot([0:1:1800]/5000,[0:1:1800]/5000,'k--','linewidth',1.5) ; hold on  ;  
    dataE1=cell2mat(CELL(1:4,2  ))' ; dataE2=cell2mat(CELL(5:9,2  ))'        ;
    dataS1=cell2mat(CELL(1:4,2+I))' ; dataS2=cell2mat(CELL(5:9,2+I))'        ;
    plot(dataE1,dataS1,'^','linewidth',2,'markersize',7.5,'color',c(I-15,:)) ; hold on  ;
    plot(dataE2,dataS2,'.','markersize',50 ,'color',c(I-15,:))               ; hold on  ;
end
    x=xlabel('') ; set(x,'Fontname','Arial','Fontsize',22.5) ; axis square   ;
    y=ylabel('') ; set(y,'Fontname','Arial','Fontsize',22.5) ; clear i       ; clear Ratio ;
    set(gca,'xtick',[],'FontSize',22.5,'Fontname','Arial')   ; clear x       ; clear y     ;
    set(gca,'ytick',[],'FontSize',22.5,'Fontname','Arial')   ; axis([0,500,0,500])         ;