cd default
% save_cyc;
load('WorkSpace_Parameter.mat')
load('gamma2d5g16160sigma9_2c1_1_190000.mat')
dr = Parameter(2)./110;
figure;set(gcf,'unit','normalized','position',[0,0,0.4,0.5]);
multiphase_disp(phi_save,[],[],0.35,dr,0,[]);
legend off
hold on
b = [128,128,64];
view_axis = [0.15,1,-1];
view(view_axis);camroll(-90+atan(view_axis(1)/sqrt(sum(view_axis.^2)))/pi*180)
file_list = string(ls);
load(file_list(contains(file_list,'y.mat')),'trajectory')
trajectory_one = dr.*(trajectory{1,end}-b);
[x,y,z] = sphere;
surf(x+trajectory_one(1,2),y+trajectory_one(1,1),z+trajectory_one(1,3),'facecolor','k','edgecolor','none')
cd ..

dir_list = {'ABal-ABar'
    'ABal-ABpl'
    'ABal-MS  '
    'ABar-ABpl'
    'ABar-ABpr'
    'ABar-MS  '
    'ABpl-ABpr'
    'ABpl-C   '
    'ABpl-E   '
    'ABpl-MS  '
    'ABpr-C   '
    'ABpr-E   '
    'ABpr-MS  '
    'C-E      '
    'C-P3     '
    'E-P3     '
    'MS-E     '
    'default  '};
dir_idx = [1,3:19];
show_cell = 1;
c = jet(11);
c_idx = [1, 3, 8, 1, 7, 9, 2, 5, 9, 9, 6, 4, 10, 1, 2, 11, 6, 9];
for n = 1:length(dir_idx)
% 	dir_name = sprintf('9_2_%d',dir_idx(n));
	file_list = string(ls(dir_list{n}));
	load(sprintf('%s/%s',dir_list{n}(dir_list{n}~=' '),file_list(contains(file_list,'y.mat'))),'trajectory')
	for m = show_cell
		trajectory_one = dr.*(trajectory{m,end}-b);
		plot3(trajectory_one(:,2),trajectory_one(:,1),trajectory_one(:,3),'color',c(c_idx(n),:),'linewidth',1.5)
	end
end
% dir_name = sprintf('9_2_%d',1);
xlabel([])
ylabel([])
zlabel([])
title([])
axis on equal 