function [stack_out,idx_stack2,idx_stack2in1] = adjm_stack_compare(stack1,stack2,job)
switch job
	case 'union'
		stack_out = stack1;
	case 'intersect'
		stack_out = {};
end
idx_stack2 = [];
% idx_stack2in1 = [];
idx_stack2in1 = zeros(length(stack2),1);
for m = 1:length(stack2)
	same_size = cellfun(@(x)all(size(x)-size(stack2{m})==0),stack1);
	same_size_idx = find(same_size);
	adjm_diff = cellfun(@(x)any(x-stack2{m}~=0,'all'),stack1(same_size));
	switch job
		case 'union'
			if all(adjm_diff)
				stack_out = cat(1,stack_out,stack2{m});
				idx_stack2 = cat(1,idx_stack2,m);
			else
				idx_stack2in1(m) = same_size_idx(~adjm_diff);
% 				idx_stack2in1 = same_size_idx(~adjm_diff);
			end
		case 'intersect'
			if ~all(adjm_diff)
				stack_out = cat(1,stack_out,stack2{m});
				idx_stack2 = cat(1,idx_stack2,same_size_idx(~adjm_diff));
			end
	end
end
% [~,I] = sort(cellfun(@length,stack_out));
% stack_out = stack_out(I);