%   % Mission 1  : Duration of Membrane Separation
%   
%     WTinfo=readtable('E:\Project 12 - Wnt & Membrane - (Done)\CJF\Paper Revision - PLUSPLUS\Revision20200503 - Version_GUAN\TableS\Table S. Experimental information of the wild-type embryo samples.xlsx')        ;
%     File=dir('E:\Project 12 - Wnt & Membrane - (Done)\CJF\Material - 20190723') ; File([1;2;7],:)=[] ; WTinfo(1,:)=[] ; CELL={'ABa','ABal','ABar';'ABp','ABpl','ABpr';'EMS','MS','E';'P2','C','P3'} ; CELL{1,4}=[] ;
% for I=1:size(File,1)
% for i=1:size(WTinfo,1)
% if  strcmp(File(I).name,WTinfo{i,2})==1
%     Data=importdata(['E:\Project 12 - Wnt & Membrane - (Done)\CJF\Material - 20190723\',File(I).name,'\CD',File(I).name,'.csv']) ;
%     A=Data.data ; Time=A(:,1) ; B=Data.textdata   ; B=B(2:size(B,1),1) ; I
%     for J=1:size(CELL,1)
%         MembraneTimingM=[]    ; NucleusTimingM=[] ; NucleusTimingD=[]  ;
%     for j=1:size(B,1)
%     if  strcmp(B{j}(1,1:strfind(B{j},':')-1),CELL{J,1})==1
%         NucleusTimingM=[NucleusTimingM,A(j,1)]                         ;
%     end
%     end
%     for K=1:2
%     for j=1:size(B,1)
%     if  strcmp(B{j}(1,1:strfind(B{j},':')-1),CELL{J,K+1})==1
%         NucleusTimingD=[NucleusTimingD,A(j,1)]                         ;
%     end
%     end
%     end
%     for t=max(NucleusTimingM):1:max(NucleusTimingD)
%         Table=table2cell(readtable(['E:\Project 12 - Wnt & Membrane - (Done)\CJF\Material - 20190723\',File(I).name,'\CellPosition\nucleus_loc_',num2str(t),'.csv'])) ;
%     for j=1:size(Table,1)
%     if  strcmp(Table{j,2},CELL{J,1})==1 && strcmp(Table{j,8},'lost')==0
%         MembraneTimingM=[MembraneTimingM,t]                            ;
%     end
%     end
%     end
%         CELL{J,4}=[CELL{J,4},(max(MembraneTimingM)-max(NucleusTimingM))*WTinfo{i,3}] ;
%     end
% end
% end
% end
%         DeltaT=mean([CELL{1,4},CELL{2,4},CELL{3,4},CELL{4,4}])         ; save('WorkSpace_DeltaT','DeltaT','-v7.3') ;

    

%   % Mission 2  : Duration of Nuclei Separation
% 
%     load('E:\Project 1 - C.elegans Resource\11-Patch\Problem 1 - WT Cycle\WorkSpace_DivTime') ;
%     load('E:\Project 1 - C.elegans Resource\11-Patch\Problem 1 - WT Cycle\WorkSpace_WTinfo' ) ;
%     Duration=[] ; % AB2  EMS
% for i=1:size(DivTime,2)
%     Duration=[Duration,(DivTime{8,i}-min(DivTime{1,i}(1:2,1)))/WTinfo{i,7}] ;
% end
%     Duration=[] ; % EMS  P2
% for i=1:size(DivTime,2)
%     Duration=[Duration,(DivTime{9,i}-DivTime{8,i})/WTinfo{i,7}]             ;
% end
%     Duration=[] ; % P2   AB4
% for i=1:size(DivTime,2)
%     Duration=[Duration,(min(DivTime{1,i}(1:4,2))-DivTime{9,i})/WTinfo{i,7}] ;
% end
%     save('WorkSpace_Duration','Duration','-v7.3') ;

    

  % Mission 3  : Fitting of Timing Between Experiment & Simulation
  % Experiment : 3.5497  3.2663  7.6932
  % Simulation : 13000   10300   74400
  
    figure ; set(gcf,'position',[50,50,600,600]) ; load('WorkSpace_DeltaT')      ; load('WorkSpace_Duration')    ;

    Te=[3.5497,3.2663,7.6932] ; Ts=[13000,10300,74400]   ; p=polyfit(Te,Ts,1)    ;
    b=sum(Ts.*(Te-DeltaT))/sum((Te-DeltaT).^2)   ; yy=sum(Ts.*(Te-DeltaT))/sum((Te-DeltaT).^2)*Te   ; y=Ts       ;
    SSE=sum((yy-y).^2)        ; SST=sum((y-mean(y)).^2)  ; Correlation=1-SSE/SST ;
    
    plot([0,10],([0,10]-DeltaT)*b,'k--','linewidth',2.5)            ; hold on    ;
    plot(Te(1)*[1,1],[Ts(1),(Te(1)-DeltaT)*b],'k-','linewidth',2.5) ; hold on    ;
    plot(Te(2)*[1,1],[Ts(2),(Te(2)-DeltaT)*b],'k-','linewidth',2.5) ; hold on    ;
    plot(Te(3)*[1,1],[Ts(3),(Te(3)-DeltaT)*b],'k-','linewidth',2.5) ; hold on    ;
    plot(Te(1),Ts(1),'.','markersize',50,'color',[255,0,0]/256)     ; hold on    ;
    plot(Te(2),Ts(2),'.','markersize',50,'color',[34,139,34]/256)   ; hold on    ;
    plot(Te(3),Ts(3),'.','markersize',50,'color',[0,0,255]/256)     ; hold on    ;
    plot(Te(1)*[1]  ,[(Te(1)-DeltaT)*b],'o','markersize',11,'linewidth',10,'color',[255,0,0]/256)   ; hold on    ;
    plot(Te(2)*[1]  ,[(Te(2)-DeltaT)*b],'o','markersize',11,'linewidth',10,'color',[34,139,34]/256) ; hold on    ;
    plot(Te(3)*[1]  ,[(Te(3)-DeltaT)*b],'o','markersize',11,'linewidth',10,'color',[0,0,255]/256)   ; hold on    ;
    axis([2,9,-(10^4),9*(10^4)])                     ; r=corrcoef(Te,Ts)         ; r(1,2)^2
    x=xlabel({'Duration in Experiment (min)'})       ; set(x,'Fontname','Arial','Fontsize',22.5) ; axis square   ;
    y=ylabel({'Duration in Simulation (Time Step)'}) ; set(y,'Fontname','Arial','Fontsize',22.5) ; clear i       ;
    set(gca,'xtick',[0,2,4,6,8,10]       ,'FontSize',22.5,'Fontname','Arial')    ; clear x       ; clear y       ;
    set(gca,'ytick',[0,2,4,6,8,10]*(10^4),'FontSize',22.5,'Fontname','Arial')    ; axis([2,9,-(10^4),10*(10^4)]) ; clear Ratio ;