img_type = 1;
saving_image = 0;
num = [202800];
if exist('num','var') == 0
	num = download_cyc;
end
file_list = string(ls);
load('WorkSpace_Parameter.mat')
dr = Parameter(2)./110;
[final_cell_num,~,sim_name,~,~,~,~,~,~,~,~,~,~,~,sigma_stack]=model_para(dr);

figure_stack = cell(length(img_type),2);
for n = 1:length(num)
	figure_idx = 1;
	str = sprintf('_%d.mat',num(n));
	file_idx = contains(file_list,str);
	file_name = file_list(file_idx);
	if isempty(file_name)
		warning(['missing ',num2str(num(n))])
	else
		load(file_name,'phi_save','div_count');
		if any(img_type == 1)
			figure_stack{figure_idx,1} = figure;
			set(gcf,'unit','normalized','position',[0,0,0.4,0.5]);
			multiphase_disp(phi_save,num(n),[],0.35,dr,0,[]);
			%       multiphase_disp(phi_save,[],[],0.35,dr,0,[]);
% 			legend off
% 			axis off
			figure_stack{figure_idx,2} = 1;
			figure_idx = figure_idx+1;
		end
		if any(img_type == 2)
			figure_stack{figure_idx,1} = figure;
			set(gcf,'unit','normalized','position',[0,0,0.55,0.9]);
			multiphase_disp(phi_save,[],[],0.35,dr,1,sigma_stack{div_count});
			figure_stack{figure_idx,2} = 2;
			figure_idx = figure_idx+1;
		end
		if any(img_type == 3)
			figure_stack{figure_idx,1} = figure;
			set(gcf,'unit','normalized','position',[0,0,9/16,1]);
			multiphase_disp(phi_save,[],[],0.35,dr,0,sigma_stack{div_count});
			figure_stack{figure_idx,2} = 3;
			figure_idx = figure_idx+1;
    end
		if saving_image == 1
			for m = 1:length(img_type)
				print(figure_stack{m,1},sprintf('%dcell%s_%d(%d',final_cell_num,sim_name(find(sim_name == '_', 1, 'last' ):end),num(n),figure_stack{m,2}),'-djpeg','-r600')
			end
		end
	end
end