function [unique_adjm_stack,t] = contact_map_pathway(contact_map_batch)
batch_size = cellfun(@(x)size(x,1),contact_map_batch);
adjm_stack = cell(sum(batch_size),2);
adjm_idx = 0;
for n = 1:length(contact_map_batch)
	adjm_stack(adjm_idx+(1:batch_size(n)),:) = contact_map_batch{n};
	adjm_idx = adjm_idx + batch_size(n);
end
unique_adjm_stack = {};
t = {};
for n = 1:size(adjm_stack,1)
	adjm = adjm_stack{n,1};
	mat_name = adjm_stack{n,2}{1};
	cyc = str2double(mat_name(find(mat_name=='_',1,'last')+1:find(mat_name=='.',1)-1));
	[unique_adjm_stack,~,idx] = adjm_stack_compare(unique_adjm_stack,{adjm},'union');
	if all(idx==0)
		t = cat(1,t,cyc);
	else
		t{idx} = cat(1,t{idx},cyc);
	end
end
first_cyc = cellfun(@(x)x(1),t);
[~,I] = sort(first_cyc);
unique_adjm_stack = unique_adjm_stack(I);
t = t(I);